Installation problem of ATSAS on OS X El Capitan 10.11.1

ATSAS for Linux and Mac, general installation issues, ATSAS online etc.
Post Reply
Message
Author
waelawad82
Guest
Posts: 2
Joined: 2016.01.28 02:45

Installation problem of ATSAS on OS X El Capitan 10.11.1

#1 Post by waelawad82 » 2016.01.28 02:55

Hello,

I tried to install 2.7.1 ATSAS pakcage on my Mac computer (OS X El Capitan 10.11.1), but I failed and have the following error when tried to open any program like primus:

Check with the developer to make sure gnomplot works with this version of OS X. You may need to reinstall the application. Be sure to install any available updates for the application and OS X.

I have the same error when tried to install 2.6.1 and 2.5.1
Any advice to fix this problem will e much appreciated.

Thanks in advance
Attachments
Screen Shot 2016-01-28 at 11.51.33 AM.png
Screen Shot 2016-01-28 at 11.51.33 AM.png (34.86 KiB) Viewed 3177 times

sasha
Active member
Posts: 46
Joined: 2014.03.05 17:56

Re: Installation problem of ATSAS on OS X El Capitan 10.11.1

#2 Post by sasha » 2016.01.31 22:23

Dear waelawad82,

I think 10.11 is not officially supported by ATSAS. However, some users (including myself) installed and use the ATSAS 2.7.1 package for 10.9 successfully on El Capitan (10.11), while the package for 10.10 would not work.

Best,

sasha

waelawad82
Guest
Posts: 2
Joined: 2016.01.28 02:45

Re: Installation problem of ATSAS on OS X El Capitan 10.11.1

#3 Post by waelawad82 » 2016.02.01 04:00

Dear Sasha,

I have tried it ad I still have the same error :(

Best regards
/wael

rrock
Member
Posts: 4
Joined: 2014.10.24 18:04

Re: Installation problem of ATSAS on OS X El Capitan 10.11.1

#4 Post by rrock » 2016.02.13 20:23

I have seen this problem as well, and have a fix that works here.

You can find the issue by clicking the "Report" button on the error message.

Code: Select all

Dyld Error Message:
  Library not loaded: /usr/local/lib/QtSvg.framework/Versions/4/QtSvg
  Referenced from: /Applications/ATSAS/primus.app/Contents/MacOS/primus
  Reason: image not found
The solution is to install the Qt framework using Homebrew, which will install into /usr/local/lib

Code: Select all

brew install qt

sasha
Active member
Posts: 46
Joined: 2014.03.05 17:56

Re: Installation problem of ATSAS on OS X El Capitan 10.11.1

#5 Post by sasha » 2016.05.10 12:51

rrock wrote:I have seen this problem as well, and have a fix that works here.

You can find the issue by clicking the "Report" button on the error message.

Code: Select all

Dyld Error Message:
  Library not loaded: /usr/local/lib/QtSvg.framework/Versions/4/QtSvg
  Referenced from: /Applications/ATSAS/primus.app/Contents/MacOS/primus
  Reason: image not found
The solution is to install the Qt framework using Homebrew, which will install into /usr/local/lib

Code: Select all

brew install qt
Thanks for the fix rrock, I will forward this to the package maintainers.

Best,

sasha

Post Reply